JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const apps = await client.devices.apps.list('deviceId');
console.log(apps);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
apps = client.devices.apps.list(
device_id="deviceId",
)
print(apps)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
apps, err := client.Devices.Apps.List(
context.TODO(),
"deviceId",
mobileruncloud.DeviceAppListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apps)
}
mobilerun-cloud devices:apps list \
--api-key 'My API Key' \
--device-id deviceIdcurl --request GET \
--url https://api.mobilerun.ai/devices/{deviceId}/apps \
--header 'Authorization: Bearer <token>'
[
{
"isSystemApp": true,
"label": "<string>",
"packageName": "<string>",
"versionCode": 123,
"versionName": "<string>"
}
]{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Apps
List apps
Returns detailed information about apps installed on the device, including package name and label. System and protected apps are excluded unless the corresponding query parameters are set.
GET
/
devices
/
{deviceId}
/
apps
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const apps = await client.devices.apps.list('deviceId');
console.log(apps);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
apps = client.devices.apps.list(
device_id="deviceId",
)
print(apps)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
apps, err := client.Devices.Apps.List(
context.TODO(),
"deviceId",
mobileruncloud.DeviceAppListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apps)
}
mobilerun-cloud devices:apps list \
--api-key 'My API Key' \
--device-id deviceIdAuthorizations
Bearer token via Authorization header
Headers
Required range:
x >= 0Path Parameters
Was this page helpful?
⌘I